Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations
PUTAlarm OperationsSince 3.3SynchronousAuth Required

UpdateAlarmLabel

UpdateAlarmLabel

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatealarmlabelObjectRequired

    updatealarmlabel request body object.

    • keyStringRequired

      The label key.

    • valueStringRequired

      The label value.

    • operatorStringRequired

      The label operator.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAlarmLabelInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • keyStringRequired

      键。

    • operatorStringRequired

      比较运算符。

    • valueStringRequired

      字段值。

Endpoint

PUT/zstack/v1/zwatch/alarms/labels/{uuid}/actions

/zstack/v1/zwatch/alarms/labels/{uuid}/actions

Operation ID

UpdateAlarmLabel

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/alarms/labels/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatealarmlabel":{"key":"<key>","value":"<value>","operator":"<operator>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5ea6d350f0e64d0b9467d033e9c6d052", "key": "VMUuid", "operator": "\u003d", "value": "35956236f261467cb2cef1db8626024e" } }

Change History

This API has no change history records yet.

View all change history